summaryrefslogtreecommitdiffstats
path: root/source/l/speexdsp/speexdsp.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-06-23 05:30:51 +0000
committer Eric Hameleers <alien@slackware.com>2022-06-23 17:00:11 +0200
commitab672bcf47dca57cfce72407176dd6460c3397b7 (patch)
treeae9ba59e4c424fff0056ffcc9d0ad4e06f877828 /source/l/speexdsp/speexdsp.SlackBuild
parent331d37cb9ea7e47a0b93f49e6d02d58b1d78a9e8 (diff)
downloadcurrent-ab672bcf47dca57cfce72407176dd6460c3397b7.tar.gz
current-ab672bcf47dca57cfce72407176dd6460c3397b7.tar.xz
Thu Jun 23 05:30:51 UTC 202220220623053051
a/kernel-generic-5.18.6-x86_64-1.txz: Upgraded. a/kernel-huge-5.18.6-x86_64-1.txz: Upgraded. a/kernel-modules-5.18.6-x86_64-1.txz: Upgraded. a/openssl-solibs-1.1.1p-x86_64-1.txz: Upgraded. ap/sudo-1.9.11p3-x86_64-1.txz: Upgraded. d/kernel-headers-5.18.6-x86-1.txz: Upgraded. k/kernel-source-5.18.6-noarch-1.txz: Upgraded. l/espeak-ng-1.51.1-x86_64-1.txz: Upgraded. l/libidn-1.40-x86_64-1.txz: Upgraded. l/mlt-7.8.0-x86_64-1.txz: Upgraded. l/openal-soft-1.22.1-x86_64-1.txz: Upgraded. l/pulseaudio-16.1-x86_64-1.txz: Upgraded. l/speex-1.2.1-x86_64-1.txz: Upgraded. l/speexdsp-1.2.1-x86_64-1.txz: Upgraded. n/ca-certificates-20220622-noarch-1.txz: Upgraded. This update provides the latest CA certificates to check for the authenticity of SSL connections. n/openssl-1.1.1p-x86_64-1.txz: Upgraded. In addition to the c_rehash shell command injection identified in CVE-2022-1292, further circumstances where the c_rehash script does not properly sanitise shell metacharacters to prevent command injection were found by code review. When the CVE-2022-1292 was fixed it was not discovered that there are other places in the script where the file names of certificates being hashed were possibly passed to a command executed through the shell. For more information, see: https://www.openssl.org/news/secadv/20220621.txt https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2068 (* Security fix *) x/ibus-table-1.16.9-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/speexdsp/speexdsp.SlackBuild')
-rwxr-xr-xsource/l/speexdsp/speexdsp.SlackBuild21
1 files changed, 15 insertions, 6 deletions
diff --git a/source/l/speexdsp/speexdsp.SlackBuild b/source/l/speexdsp/speexdsp.SlackBuild
index 2c653b0f5..705a16a98 100755
--- a/source/l/speexdsp/speexdsp.SlackBuild
+++ b/source/l/speexdsp/speexdsp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2018, 2019, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -25,8 +25,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=speexdsp
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+SRCNAM=speexdsp-SpeexDSP
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -70,9 +71,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
-cd $PKGNAM-$VERSION || exit 1
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -80,6 +81,14 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \